# -*- coding: utf-8 -*-

import re
import os

extensions = [
    'sphinx.ext.autodoc',
    'sphinx.ext.autosummary',
    'sphinx.ext.todo',
    'sphinx.ext.coverage',
    'sphinx.ext.ifconfig',
    'sphinx.ext.viewcode',
    'sphinxcontrib.napoleon'
]
if os.getenv('SPELLCHECK'):
    extensions += 'sphinxcontrib.spelling',
    spelling_show_suggestions = True
    spelling_lang = 'en_US'

# These env variables are populated in setup.py
# There should be a better way to do this. 
project = os.environ['SPHINX_PROJECT_NAME']
version = release = os.environ['SPHINX_PROJECT_VERSION']

copyright = u'2015, 23andMe Keyboard Monkeys'

source_suffix = '.rst'
master_doc = 'index'

import sphinx_py3doc_enhanced_theme
html_theme = "sphinx_py3doc_enhanced_theme"
html_theme_path = [sphinx_py3doc_enhanced_theme.get_html_theme_path()]

pygments_style = 'trac'
ttams_path = ['.']
html_use_smartypants = True
html_last_updated_fmt = '%F'
html_split_index = True
html_sidebars = {
   '**': ['searchbox.html', 'globaltoc.html', 'sourcelink.html'],
}
html_short_title = '%s (%s)' % (project, version)
html_theme_options = {
}
