from setuptools import setup, find_packages

import os

import setuptools_scm


# Most config should happen here:
name = slug = 'ttam.core'
version = setuptools_scm.get_version()
description = "one-liner description"
long_description = """
A longer description of your awesome package.
"""
package_data = {name: ['_/*/*']}



# pass setup.py config to conf.py. Totally janky, but DRYer.
os.environ['SPHINX_PROJECT_NAME'] = slug
os.environ['SPHINX_PROJECT_VERSION'] = version if version else ''


setup(
    author = '23andMe Keyboard Monkeys',
    author_email = 'eng@23andme.com',
    description = description,
    license = '23andMe Proprietary',
    long_description = long_description,
    name = name,
    namespace_packages = ['ttam'],
    package_data = package_data,
    packages = find_packages(),
    url = 'https://bitbucket.org/23andme/' + slug,
    version = version,
    zip_safe = True,


    install_requires = [
    ],

    setup_requires = [
        'gitchangelog',
        'pytest',
        'sphinx<1.3b',
        'sphinx_py3doc_enhanced_theme',
        'sphinxcontrib-napoleon',
    ],

    tests_require = [
        'coverage',
    ],
)
